Skip to main content
POST
/
cdr
/
v1
/
ekauser
/
Create Eka User
curl --request POST \
  --url https://api.eka.care/cdr/v1/ekauser/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "firstname": "Amit",
  "lastname": "Kumar",
  "mobile": "9876543210",
  "email": "amit.kumar@example.com",
  "auth_userid": "Prateek_@_123",
  "gender": "M",
  "dob": "1990-05-15",
  "is_admin": false,
  "seat_type": "b",
  "persona": "D",
  "doctor_ids": [
    "171266028552522",
    "171266028552523"
  ],
  "clinic_ids": [
    "c-314086a34253rd",
    "c-415197b45364se"
  ],
  "partner_doctor_ids": [
    "Part_doc_1",
    "Part_doc_2"
  ],
  "partner_clinic_ids": [
    "Part_clinic_1",
    "Part_clinic_2"
  ]
}
'
import requests

url = "https://api.eka.care/cdr/v1/ekauser/"

payload = {
"firstname": "Amit",
"lastname": "Kumar",
"mobile": "9876543210",
"email": "amit.kumar@example.com",
"auth_userid": "Prateek_@_123",
"gender": "M",
"dob": "1990-05-15",
"is_admin": False,
"seat_type": "b",
"persona": "D",
"doctor_ids": ["171266028552522", "171266028552523"],
"clinic_ids": ["c-314086a34253rd", "c-415197b45364se"],
"partner_doctor_ids": ["Part_doc_1", "Part_doc_2"],
"partner_clinic_ids": ["Part_clinic_1", "Part_clinic_2"]
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstname: 'Amit',
lastname: 'Kumar',
mobile: '9876543210',
email: 'amit.kumar@example.com',
auth_userid: 'Prateek_@_123',
gender: 'M',
dob: '1990-05-15',
is_admin: false,
seat_type: 'b',
persona: 'D',
doctor_ids: ['171266028552522', '171266028552523'],
clinic_ids: ['c-314086a34253rd', 'c-415197b45364se'],
partner_doctor_ids: ['Part_doc_1', 'Part_doc_2'],
partner_clinic_ids: ['Part_clinic_1', 'Part_clinic_2']
})
};

fetch('https://api.eka.care/cdr/v1/ekauser/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "ekaid": "176917697553584"
}
{
"<field>": [
"This field is required."
],
"message": [
"Only one of doctor_ids or partner_doctor_ids should be provided, not both."
]
}

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Body

application/json

Request body for creating an Eka User

firstname
string
required

User's first name

Example:

"Amit"

lastname
string
required

User's last name

Example:

"Kumar"

gender
enum<string>
required

User's gender (M - Male, F - Female, O - Other)

Available options:
M,
F,
O
Example:

"M"

dob
string<date>
required

User's date of birth in YYYY-MM-DD format

Example:

"1990-05-15"

mobile
string

User's mobile number (10 digits). Either mobile or email or auth_userid is required.

Example:

"0000011111"

email
string<email>

User's email address. Either mobile or email or auth_userid is required.

Example:

"amit.kumar@example.com"

auth_userid
string

auth_userid used for SSO authentication. Either mobile or email or auth_userid is required

Example:

"Prateek_@_123"

is_admin
boolean
default:false

Whether the user has admin privileges

Example:

false

seat_type
enum<string>

Seat type (b - basic, p - premium). Default: b

Available options:
b,
p
Example:

"b"

persona
enum<string>

User persona (S - Staff, D - Doctor). Default: D

Available options:
S,
D
Example:

"D"

doctor_ids
string[]

List of doctor Eka IDs to assign to this user

Example:
["171266028552522", "171266028552523"]
partner_doctor_ids
string[]

List of partner doctor IDs to assign to this user

Example:
["Part_doc_1", "Part_doc_2"]
clinic_ids
string[]

List of clinic Eka IDs to assign to this user

Example:
["c-314086a34253rd", "c-415197b45364se"]
partner_clinic_ids
string[]

List of partner clinic IDs to assign to this user

Example:
["Part_clinic_1", "Part_clinic_2"]

Response

Created - Eka User successfully created

status
string
Example:

"success"

ekaid
string

Unique identifier for the created Eka User

Example:

"176917697553584"